udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions | Variables
wrudf.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <sys/resource.h>`
`#include "wrudf.h"`
Include dependency graph for wrudf.c:

Go to the source code of this file.

## Macros
#define | GETLINE(prompt) printf(prompt); fgets(line, 256, stdin); *strchr(line, '\n') = 0;
#define | FOUND_BEA01 1
#define | FOUND_NSR02 1<<1
#define | FOUND_TEA01 1<<2
#define | FOUND_PVD 1<<8
#define | FOUND_LVD 1<<9
#define | FOUND_PD 1<<10
#define | FOUND_USD 1<<11

## Functions
char * | readLine (char *prompt)
void | initialise (char *devicename)
int | finalise (void)
int | parseCmnd (char *line)
int | show_help ()
int | main (int argc, char **argv)

## Variables
char * | devicename
int | device
int | devicetype
enum MEDIUM | medium
int | ignoreReadError
char | line [256]
int | cmndc
int | cmndvSize
char ** | cmndv
uint32_t | found
uint32_t | options
Directory * | rootDir
Directory * | curDir
timestamp | timeStamp
regid | entityWRUDF = { 0, "-wrudf (" PACKAGE_VERSION ")", "\x04\x05"}
extent_ad | extentMainVolDescSeq
extent_ad | extentRsrvVolDescSeq
extent_ad | extentNextVolDescSeq
extent_ad | extentLogVolIntegritySeq
uint32_t | integrityDescBlocknumber
extent_ad | extentLogVolIntegrityDesc
uint64_t | CDRuniqueID
struct partitionDesc * | pd
uint16_t | virtualPartitionNum = 0xFFFF
uint32_t * | vat
uint32_t | newVATindex
uint32_t | maxVATindex
uint32_t | prevVATlbn
struct logicalVolDesc * | lvd
struct unallocSpaceDesc * | usd
struct spaceBitmapDesc * | spaceMap
struct logicalVolIntegrityDesc * | lvid
struct fileSetDesc * | fsd
unsigned int | usedSparingEntries
struct sparingTable * | st
int | spaceMapDirty
int | usdDirty
int | sparingTableDirty

## Macro Definition Documentation

#define FOUND_BEA01 1

Definition at line 36 of file wrudf.c.

#define FOUND_LVD 1<<9

Definition at line 40 of file wrudf.c.

#define FOUND_NSR02 1<<1

Definition at line 37 of file wrudf.c.

#define FOUND_PD 1<<10

Definition at line 41 of file wrudf.c.

#define FOUND_PVD 1<<8

Definition at line 39 of file wrudf.c.

#define FOUND_TEA01 1<<2

Definition at line 38 of file wrudf.c.

#define FOUND_USD 1<<11

Definition at line 42 of file wrudf.c.

#define GETLINE | ( |  | prompt | ) | printf(prompt); fgets(line, 256, stdin); *strchr(line, '\n') = 0;

Definition at line 28 of file wrudf.c.

## Function Documentation

int finalise | ( | void |  | ) |

Definition at line 416 of file wrudf.c.

void initialise | ( | char * | devicename | ) |

Definition at line 88 of file wrudf.c.

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 650 of file wrudf.c.

int parseCmnd | ( | char * | line | ) |

Definition at line 508 of file wrudf.c.

char* readLine | ( | char * | prompt | ) |

Definition at line 79 of file wrudf.c.

int show_help | ( |  | ) |

Definition at line 627 of file wrudf.c.

## Variable Documentation

uint64_t CDRuniqueID

Definition at line 19 of file wrudf-cdr.c.

int cmndc

Definition at line 32 of file wrudf.c.

char** cmndv

Definition at line 34 of file wrudf.c.

int cmndvSize

Definition at line 33 of file wrudf.c.

Directory * curDir

Definition at line 48 of file wrudf.c.

int device

Definition at line 18 of file wrudf.c.

char* devicename

Definition at line 17 of file wrudf.c.

int devicetype

Definition at line 19 of file wrudf.c.

regid entityWRUDF = { 0, "-wrudf (" PACKAGE_VERSION ")", "\x04\x05"}

Definition at line 50 of file wrudf.c.

extent_ad extentLogVolIntegrityDesc

Definition at line 57 of file wrudf.c.

extent_ad extentLogVolIntegritySeq

Definition at line 55 of file wrudf.c.

extent_ad extentMainVolDescSeq

Definition at line 52 of file wrudf.c.

extent_ad extentNextVolDescSeq

Definition at line 54 of file wrudf.c.

extent_ad extentRsrvVolDescSeq

Definition at line 53 of file wrudf.c.

uint32_t found

Definition at line 43 of file wrudf.c.

struct fileSetDesc* fsd

Definition at line 72 of file wrudf.c.

int ignoreReadError

Definition at line 21 of file wrudf.c.

uint32_t integrityDescBlocknumber

Definition at line 56 of file wrudf.c.

char line[256]

Definition at line 27 of file wrudf.c.

struct logicalVolDesc* lvd

Definition at line 68 of file wrudf.c.

struct logicalVolIntegrityDesc* lvid

Definition at line 71 of file wrudf.c.

uint32_t maxVATindex

Definition at line 66 of file wrudf.c.

enum MEDIUM medium

Definition at line 20 of file wrudf.c.

uint32_t newVATindex

Definition at line 65 of file wrudf.c.

uint32_t options

Definition at line 45 of file wrudf.c.

struct partitionDesc* pd

Definition at line 62 of file wrudf.c.

uint32_t prevVATlbn

Definition at line 67 of file wrudf.c.

Directory* rootDir

Definition at line 48 of file wrudf.c.

struct spaceBitmapDesc* spaceMap

Definition at line 70 of file wrudf.c.

int spaceMapDirty

Definition at line 76 of file wrudf.c.

int sparingTableDirty

Definition at line 76 of file wrudf.c.

struct sparingTable* st

Definition at line 74 of file wrudf.c.

timestamp timeStamp

Definition at line 49 of file wrudf.c.

struct unallocSpaceDesc* usd

Definition at line 69 of file wrudf.c.

int usdDirty

Definition at line 76 of file wrudf.c.

unsigned int usedSparingEntries

Definition at line 73 of file wrudf.c.

uint32_t* vat

Definition at line 64 of file wrudf.c.

uint16_t virtualPartitionNum = 0xFFFF

Definition at line 63 of file wrudf.c.